package speiger.src.coreengine.platform.graphics.opengl.utils;

import org.lwjgl.opengl.GL11;
import org.lwjgl.opengl.GL45;

import speiger.src.coreengine.platform.graphics.api.texture.states.TextureType;

public class GLFunctions {

	public static int createTexture(TextureType type) {
		return GL45.glCreateTextures(GLUtils.toGL(type));
	}
	
	public static void deleteTextures(int... id) {
		GL11.glDeleteTextures(id);
	}
}
